import { ReactElement } from 'react';
export interface KaTextInputProps {
    inputProps?: {
        placeholder?: string;
        value?: string;
        onChangeText?: (value: string) => void;
    };
    leftComponent?: ReactElement;
    rightComponent?: ReactElement;
    leftUnit?: string;
    rightUnit?: string;
    disabled?: boolean;
    isError?: boolean;
    containerStyle?: React.CSSProperties;
}
export declare const KaTextInput: ({ leftComponent, rightComponent, leftUnit, rightUnit, inputProps, disabled, isError, containerStyle, }: KaTextInputProps) => ReactElement;
